org.springframework.format.number

## Class PercentFormatter

- java.lang.Object
- - org.springframework.format.number.AbstractNumberFormatter
  - - org.springframework.format.number.PercentFormatter

All Implemented Interfaces:
  Formatter<Number>, Parser<Number>, Printer<Number>

    public class PercentFormatter
    extends AbstractNumberFormatter

A Number formatter for percent values.

Delegates to `NumberFormat.getPercentInstance(Locale)`. Configures BigDecimal parsing so there is no loss in precision. The `AbstractNumberFormatter.parse(String, Locale)` routine always returns a BigDecimal.

Since:
  3.0
Author:
  Keith Donald, Juergen Hoeller
See Also:
  `AbstractNumberFormatter.setLenient(boolean)`

### Constructor Summary

Constructors
Constructor and Description
`PercentFormatter()`

### Method Summary

Methods
`protected NumberFormat` `getNumberFormat(Locale locale)` Obtain a concrete NumberFormat for the specified locale.

### Methods inherited from class org.springframework.format.number.AbstractNumberFormatter

`parse, print, setLenient`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PercentFormatter

    public PercentFormatter()

### Method Detail

#### getNumberFormat

    protected NumberFormat getNumberFormat(Locale locale)

Description copied from class: `AbstractNumberFormatter`
Obtain a concrete NumberFormat for the specified locale.

Specified by:
  `getNumberFormat` in class `AbstractNumberFormatter`
Parameters:
  `locale` - the current locale
Returns:
  the NumberFormat instance (never `null`)